net.sf.jasperreports.engine.export

## Interface GenericElementHandler

- All Known Subinterfaces:
    GenericElementCsvHandler, GenericElementDocxHandler, GenericElementGraphics2DHandler, GenericElementHtmlHandler, GenericElementJExcelApiHandler, GenericElementJExcelApiMetadataHandler, GenericElementJsonHandler, GenericElementOdsHandler, GenericElementOdtHandler, GenericElementPdfHandler, GenericElementPptxHandler, GenericElementRtfHandler, GenericElementTransformer, GenericElementXlsHandler, GenericElementXlsMetadataHandler, GenericElementXlsxHandler, GenericElementXmlHandler
  All Known Implementing Classes:
    BaseElementHtmlHandler, CrosstabInteractiveJsonHandler, FlashHtmlHandler, HeaderToolbarElementJsonHandler, IconLabelElementCsvHandler, IconLabelElementDocxHandler, IconLabelElementGraphics2DHandler, IconLabelElementHtmlHandler, IconLabelElementJExcelApiHandler, IconLabelElementOdsHandler, IconLabelElementOdtHandler, IconLabelElementPdfHandler, IconLabelElementPptxHandler, IconLabelElementRtfHandler, IconLabelElementXlsHandler, IconLabelElementXlsxHandler, IconLabelElementXmlHandler, MapElementDocxHandler, MapElementGraphics2DHandler, MapElementHtmlHandler, MapElementJExcelApiHandler, MapElementJsonHandler, MapElementOdsHandler, MapElementOdtHandler, MapElementPdfHandler, MapElementPptxHandler, MapElementRtfHandler, MapElementXlsHandler, MapElementXlsxHandler, MapElementXmlHandler, SortElementHtmlHandler, SortElementJsonHandler

      public interface GenericElementHandler

  A generic print element export handler.

  This interface is common to all export handlers. Specialized handler interfaces exist for each exporter.

  Version:
    $Id: GenericElementHandler.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `toExport(JRGenericPrintElement element)` Decides whether a generic print element is to be exported.

- - ### Method Detail

    - #### toExport

          boolean toExport(JRGenericPrintElement element)

      Decides whether a generic print element is to be exported.
      Parameters:
        `element` - the element
      Returns:
        whether the element is to be exported or skipped

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com